<!-- -------------------- ./mgmt/dos2sign_sig_dsfr.html -------------------- -->

<?php include "snippets/header-new.html"; ?>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col-12">
      <section class="os-table-wrapper fr-container--fluid">
        <header class="os-main-content__header os-table-wrapper__header">
          <div class="fr-grid-row fr-pb-1v">
            <div class="fr-col">
              <h1 class="fr-h3">Mes Dossiers Signature</h1>
            </div>
          </div>
        </header>

        <div class="fr-grid-row">
          <div class="fr-col">
            <div class="fr-tabs">
              <?php include "snippets/tablist.html"; ?>
              <div id="contents-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="contents" tabindex="0"></div>
              <div id="drafts-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="drafts" tabindex="0"></div>
              <div id="toSign-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="toSign" tabindex="0">
                <?php 
                if ( count($this->F2SLIST) > 0 ) {
                  //include "part_mbar2.html"; 
                  include "multisign_dsfr.html"; 
                } else {
                  include "multisign_nodoc.html"; 
                }
                ?>
              </div>
              <div id="toGet-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="toGet" tabindex="0"></div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
</main><!-- -------------------- ./mgmt/dos2sign_sig.html -------------------- -->




<!-- -------------------------------------------------------------------- -->

<?php //include "part_account_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>

<script src="/pub/jsint/resizeMC4.js"></script>
<script src="/pub/jsint/content.js"></script>
<script src="/pub/jsint/multisign.js"></script>

<script language="javascript">
  ResizeMCInit();
  changeContent("<?php echo $this->CONTURL; ?>");
  //RecallPosition();
</script>
<script>
  //handle sidemenufile position and height on scroll: use maximum vertical space when tabs list is out of the viewport.
  let options = {
      root: null,
      rootMargin: '0px',
      threshold: 0.01
    }
    let callback = (entries, observer) => {
        entries.forEach((entry) => {
          const sidemenufileElem = document.getElementById('sidemenufile');
          sidemenufileElem.style.setProperty('--sidemenu-width', sidemenufileElem.getBoundingClientRect().width + 'px');
          sidemenufileElem.classList.toggle('sidemenufile--full-height', entry.intersectionRatio < 0.001 )
        });
      };

    let observer = new IntersectionObserver(callback, options);

    let target = document.querySelector('.fr-tabs__list');
      observer.observe(target);

</script>

